Loading...
Searching...
No Matches
ClusterTree.h File Reference

Collects factorgraph fragments defined on variable clusters, arranged in a tree. More...

Go to the source code of this file.

## Classes

class | gtsam::ClusterTree< GRAPH >
| A cluster-tree is associated with a factor graph and is defined as in Koller-Friedman: each node k represents a subset \( C_k \sub X \), and the tree is family preserving, in that each factor \( f_i \) is associated with a single cluster and \( scope(f_i) \sub C_k \). More...
struct | gtsam::ClusterTree< GRAPH >::Cluster
| A Cluster is just a collection of factors. More...
class | gtsam::EliminatableClusterTree< BAYESTREE, GRAPH >
| A cluster-tree that eliminates to a Bayes tree. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

Collects factorgraph fragments defined on variable clusters, arranged in a tree.

Date
  Oct 8, 2013

Author
  Kai Ni
  Richard Roberts
  Frank Dellaert